<html lang="en-us">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title>HP Array Diagnostics and SmartSSD Wear Gauge Utility : Generate Diagnostic Report</title>
<script type="text/javascript" src="js/CRequestor.js"></script>
<link rel="stylesheet" type="text/css" href="css/adu.css"/>
<style type="text/css">
.reportGenerationTable
{
   margin-top:50px;
}
.reportGenerationTable .msgText
{
   padding:10px 0;
}
.LoadingArea
{
   width:100px;
}
#spanReportTitle
{
   color:#333333;
   font: bold 18px Arial;
   padding-left:15px;
}
</style>

<script type="text/javascript">
function CheckReportProgress(o)
{
   if (!isADUReportDone && !isADUReportCancelled)
   {
      var x = document.getElementsByName("advDisplayRow");
      for (i = 0; i < x.length; i++)
      {
         x[i].style.display = "";
      }
      if (numControllerDevicesTotal > 0)
      {
         var pctDone = Math.round(100.0 * numControllerDevicesProcessed / numControllerDevicesTotal,1);
         document.getElementById("messageText").innerHTML = "Current Progress - Examining " + currentDevice;
         document.getElementById("doneColumn").style.width = pctDone + "%";
         document.getElementById("notDoneColumn").style.width = 100 - pctDone + "%";
         document.getElementById("infoMessageText").innerHTML = pctDone + "%";
         UpdateOverallProgress(2);
      }
      else
      {
         document.getElementById("messageText").innerHTML = "Current Progress - Scanning " + currentTopLevelDevice;
         document.getElementById("infoMessageText").innerHTML = numDevicesTotal + " device" + (numDevicesTotal == 1 ? "" : "s") + " found";
         UpdateOverallProgress(1);
      }
      setTimeout("RefreshProgressStatus();", 1000);
      // onResizeHandler();
   }
   else if (!isADUReportCancelled)
   {
      whiteboardIsBusy = false;
      UpdateOverallProgress(3);
      setTimeout("OnReportComplete();", 100);
   }
}

function RefreshProgressStatus()
{
   var rProgressRequestor = new CRequestor();
   rProgressRequestor.setRequestType("ADUReportStatus.js");
   rProgressRequestor.executeRequest(CheckReportProgress);
}

function UpdateOverallProgress(stage)
{
   var pctDone;
   var overallStatusString;
   var deviceProgress;
   switch(stage)
   {
   case 1:
      overallStatusString = "Scanning System";
      pctDone = 0;
      break;
   case 2:
      overallStatusString = "Processing " + currentTopLevelDevice;
      if (numDevicesTotal > 0)
      {
         deviceProgress = Math.round(95.0 * numDevicesProcessed / numDevicesTotal, 0);
      }
      else
      {
         deviceProgress = 95.0;
      }
      pctDone = deviceProgress;
      break;
   case 3:
      overallStatusString = "Formatting Report";
      pctDone = 98;
      break;
   case 4:
      overallStatusString = "Press Save Report to Continue";
      pctDone = 100;
      break;
   }
   if (stage == 4)
   {
      document.getElementById("messageText").innerHTML = "Diagnostic Report Generation Complete";
      document.getElementById("doneColumn").style.width = "100%";
      document.getElementById("notDoneColumn").style.width = "0%";
      document.getElementById("infoMessageText").innerHTML = "100%";
      document.getElementById("overallMessageText").innerHTML = overallStatusString;
      document.getElementById("overallInfoMessageText").innerHTML = "100%";
   }
   else
   {
      document.getElementById("overallMessageText").innerHTML = "Overall Progress - " + overallStatusString;
      if (pctDone > 0)
      {
         document.getElementById("overallInfoMessageText").innerHTML = pctDone + "%";
      }
      else
      {
         // Incorrect value, don't show...
         //document.getElementById("overallInfoMessageText").innerHTML = numTopLevelDevices + " array controller" + (numTopLevelDevices == 1 ? "" : "s") + " found";
      }
   }
   document.getElementById("overallDoneColumn").style.width = pctDone + "%";
   document.getElementById("overallNotDoneColumn").style.width = 100 - pctDone + "%";
}
function InitiateReportGeneration()
{
   parent.footerArea.ShowCancelButton(true);   
   // Get and render the ADU report.        
   // Send the initiate request
   var rBeginRequestor = new CRequestor();
   var reportType, sReportTitle;
   if (parent.globalData.reportIsSSD)
   {
      reportType = "SSD";
      parent.document.title = "HP Array Diagnostics and SmartSSD Wear Gauge Utility : Generating SmartSSD Wear Gauge Report";
      sReportTitle = "Generating SmartSSD Wear Gauge Report";
   }
   else
   {
      reportType = "ADU";
      sReportTitle = "Generating Diagnostic Report";
      parent.document.title = "HP Array Diagnostics and SmartSSD Wear Gauge Utility : Generating Diagnostic Report";
   }

   var oReportTitle = document.getElementById("spanReportTitle");
   oReportTitle.innerHTML = sReportTitle;

   if (parent.globalData.viewReport)
   {
      rBeginRequestor.setRequestType("Begin" + reportType + "ReportWithHTML.js");
   }
   else 
   {
      rBeginRequestor.setRequestType("Begin" + reportType + "ReportWithoutHTML.js");
   }
   rBeginRequestor.executeRequest(RefreshProgressStatus);
}

function OnReportComplete() 
{
   var reportType = "Diagnostic";
   if (parent.globalData.reportIsSSD)
   {
      reportType = "SSD";
   }
   if (parent.globalData.viewReport)
   {
      document.location = "ADUView" + reportType + "Report.htm";
   }
   else
   {
      document.location = "ADUSaveReport.htm";
   }
}
</script>
</head>
<body onload="InitiateReportGeneration();">
<div>
<center>  
<table class="reportGenerationTable">
  <tr>
    <td>
      <table border="0" cellpadding="0" cellspacing="0" style="margin-bottom:15px;">
         <tr>
           <td class="LoadingArea"><img alt="busy" src="images/busymag.gif" /></td><td><span id="spanReportTitle">Generating Diagnostic Report</span></td>
         </tr>
      </table>
    </td>
  </tr>
  <tr id="advDisplayRow" name="advDisplayRow" style="display:none;">
    <td class="msgText" id="messageText"></td>
  </tr>
  <tr id="advDisplayRow" name="advDisplayRow" style="display:none;">
    <td align="left">
      <table cellpadding="0" cellspacing="0" border="0" style="border-collapse:collapse;width:600px;">
        <tr style="background-color:#cccccc;">
          <td id="doneColumn" align="center" style="margin:0px;padding:0px;border:solid #666666 1px;background-color:#666666;width:0%;height:13px;">
            <div style="margin:0px;padding:0px;width:0px;height:100%;border-left:solid #4c4c4c 1px;background-color:#cccccc;float:right;font-size:0pt;"></div>
          </td>
          <td id="notDoneColumn" align="center" style="margin:0px;padding:0px;border:solid #666666 1px;width:100%;">
            <div style="margin:0px;padding:0px;height:100%;background-color:#cccccc;font-size:0pt;"></div>
          </td>
        </tr>
      </table>
    </td>
  </tr>
  <tr id="advDisplayRow" name="advDisplayRow" style="display:none;">
    <td class="msgText" id="infoMessageText"></td>
  </tr>
  <tr id="advDisplayRow" name="advDisplayRow" style="display:none;">
    <td style="height:10px;"></td>
  </tr>
  <tr>
    <td class="msgText" id="overallMessageText"></td>
  </tr>
  <tr>
    <td>
      <table cellpadding="0" cellspacing="0" border="0" style="border-collapse:collapse;width:600px;">
        <tr style="background-color:#cccccc;">
          <td id="overallDoneColumn" align="center" style="margin:0px;padding:0px;border:solid #666666 1px;background-color:#666666;width:0%;height:13px;">
            <div style="margin:0px;padding:0px;width:0px;height:100%;border-left:solid #4c4c4c 1px;background-color:#cccccc;float:right;font-size:0pt;"></div>
          </td>
          <td id="overallNotDoneColumn" align="center" style="margin:0px;padding:0px;border:solid #666666 1px;width:100%;">
            <div style="margin:0px;padding:0px;height:100%;background-color:#cccccc;font-size:0pt;"></div>
          </td>
        </tr>
      </table>
    </td>
  </tr>
  <tr>
    <td class="msgText" id="overallInfoMessageText"></td>
  </tr>
</table>
</center>
</div>
</body>
</html>
