<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<link rel="stylesheet" type="text/css" href="css/adu.css"/>
<title>HP Array Diagnostics and SmartSSD Wear Gauge Utility : Help</title>
<style type="text/css">
#POPUP_TEXT_ID{
width:100%;
overflow:auto;
height:522px;
font-size:12px;/*120%;*/
font-family:Arial,sans-serif;
border-bottom:1px solid #ccc;
line-height:1.5em;
}
#POPUP_TEXT_ID p
{
   margin:0 0 10px 0;
   padding:0;
}
#POPUP_TEXT_ID h2
{
   border-bottom:1px solid #ccc;
   font-size:100%;
   margin:0 0 10px 0;
   padding-bottom:2px;
}
#POPUP_MARGIN{
margin:0px 0px 10px 0px;
}
</style>
<script type="text/javascript" language="javascript">
   function drawImg(sIcon, sWidth, sHeight)
   {
      var sHTML = "<img align='absmiddle' style='border:none;width:" + sWidth + "px;height:" + sHeight + "px;' src='" + sIcon + "'/>";
      return sHTML;
   }

   var sContent = "<div style='padding:15px 0;'>";
   sContent += "<h2>Overview</h2>";
   sContent += "<p>The Array Diagnostics and SmartSSD Wear Gauge Utility is a tool designed to collect all possible information about storage devices in the system and to offer a detailed configuration report and all detected problems.</p>";
   sContent += "<p>There are 2 types of reports: Array Diagnostics and SmartSSD Wear Gauge.</p>";
   sContent += "<h2>Array Diagnostics:</h2>";
   sContent += "<p>The array diagnostic report generated by this utility contains information on devices such as array controllers, storage enclosures, drive cages, as well as logical, physical and tape drives. The report will include SmartSSD Wear Gauge information for supported Solid State Drives.</p> ";
   sContent += "<p>The \"View Diagnostic Report\" button will generate and display a diagnostic report for all the controllers attached to the system. After report generation is complete, the diagnostic report and RIS event log will be displayed in 2 tabs. The report can be saved through the Save Report button. </p>";
   sContent += "<p>The \"Generate Diagnostic Report\" button will generate a diagnostic report in a zip file for all the controllers without presenting a graphical display. The zip file contains both XML and plain text versions of the diagnostic report. An HTML viewer file is also provided to aid in displaying and navigating the report through a web browser.</p>";
   sContent += "<h2>SmartSSD Wear Gauge:</h2>";
   sContent += "<p>The SmartSSD Wear Gauge report contains information on the current usage level and expected lifetime remaining of Solid State Drives attached to the system.</p>";
   sContent += "<p>The \"View SmartSSD Wear Gauge Report\" button will display SSD usage and estimated lifetime information. The SmartSSD Wear Gauge report summary page provides the following calculated totals for discovered SSDs:</p>";
   sContent += "<ul><li>Total Solid State Drives with Wearout Status</li>";
   sContent += "<li>Total Smart Array Solid State Drives</li>";
   sContent += "<li>Total Non Smart Array Solid State Drives</li>";
   sContent += "<li>Total Solid State SAS Drives</li>";
   sContent += "<li>Total Solid State SATA Drives</li>";
   sContent += "<li>Total Solid State Drives</li></ul>";
   sContent += "<p>In addition to these totals, the summary page also displays the following tables:</p>";
   sContent += "<ul><li>Solid State Drives with Wearout Status</li>";
   sContent += "<li>Solid State Drives with Less Than an Estimated 56 Days of Life Remaining</li>";
   sContent += "<li>Solid State Drives with Less Than 2% Usage Remaining</li>";
   sContent += "<li>Solid State Drives with Less Than 5% Usage Remaining</li>";
   sContent += "<li>Smart Array Controllers</li>";
   sContent += "<li>Non Smart Array Controllers</li></ul>";
   sContent += "<p>The \"Generate SmartSSD Wear Gauge Report\" button will generate the report in a zip file without presenting a graphical display. The report file contains both json and plain text versions of the SmartSSD report. A viewer file is also provided to aid in displaying and navigating the report through a web browser.</p>";
   sContent += "<p>Within the report, select an SSD in the device tree to the left to view its SmartSSD status and physical drive information. If supported, the report page will display the following fields in the SmartSSD Status table:</p>";
   sContent += "<h2>SSD Wear Status</h2>";
   sContent += "<p>Indicates the SSD's wear status with one of the following messages:</p>";
   sContent += "<ul><li>OK</li>";
   sContent += "<li>Not Supported</li>";
   sContent += "<li>The SmartSSD Wear Gauge log is full. Wear Gauge parameters are not available.</li>";
   sContent += "<li>SSD has less than 5% usage remaining before wearout.</li>";
   sContent += "<li>SSD has less than 2% usage remaining before wearout.</li>";
   sContent += "<li>SSD has less than an estimated 56 days before it reaches the maximum usage limit for writes (wearout) and should be replaced as soon as possible.</li>";
   sContent += "<li>SSD has less than 5% of usage remaining before wearout. It has less than an estimated 56 days before it reaches the maximum usage limit and should be replaced as soon as possible.</li>";
   sContent += "<li>SSD has less than 2% of usage remaining before wearout. It has less than an estimated 56 days before it reaches the maximum usage limit and should be replaced as soon as possible.</li>";
   sContent += "<li>SSD has reached the maximum rated usage limit for writes (wearout) and should be replaced immediately.</li></ul>";
   //sContent += "<h2>Power Cycles</h2>";
   //sContent += "<p>Indicates the number of times the SSD has turned on from the powered off state.</p>";
   sContent += "<h2>Power On Hours</h2>";
   sContent += "<p>Indicates the number of hours the SSD has been powered on for.</p>";
   sContent += "<h2>Estimated Life Remaining Based On Workload To Date</h2>";
   sContent += "<p>Indicates an estimate of the number of days the SSD has before SSD Utilization reaches 100%. This field is not displayed when the SSD Utilization is still at 0%.</p>";
   sContent += "<h2>Usage Remaining</h2>";
   sContent += "<p>Indicates the percentage of the SSD that has not worn out. Usage remaining is equal to the difference of 100 and the SSD Utilization percentage.</p>";
   sContent += "<h2>SSD Utilization</h2>";
   sContent += "<p>Indicates the percentage of the SSD that has worn out.</p>";
   // SmartSSD Wear Gauge Image Legend
   sContent += "<h2>SmartSSD Wear Gauge Image Legend</h2>";
   sContent += "<p>The following images are used by the Smart SSD Wear Gauge report when viewed within the Array Diagnostics and SmartSSD Wear Gauge Utility. The gauge indicators provide only the Usage Remaining in percentages with the following colors/classifications and have related overlay icons for visual confirmation of status and alerts presented in Diagnostic and SmartSSD reports.</p>";
   sContent += "<p>Green gauge, SSD is in good standing related to wear data.<br/>";
   sContent += drawImg("images/85percentltgreengauge20.png", 100, 20) + " Related Overlay Icon: " + drawImg("images/okay20.png", 20, 20) + "</p>";
   sContent += "<p>Blue gauge, SSD has reached an informational status metric (e.g. ~56 days/5%/2% usage remaining).<br/>";
   sContent += drawImg("images/5percentbluegauge20.png", 100, 20) + " Related Overlay Icon: " + drawImg("images/infostat20.png", 20, 20) + "</p>";
   sContent += "<p>Yellow gauge, SSD has 0% Usage Remaining, has been marked with a Predictive Failure due to wearout and is S.M.A.R.T. tripped.<br/>";
   sContent += drawImg("images/2percenttrippedgauge20.png", 100, 20) + " Related Overlay Icon: " + drawImg("images/degraded20.png", 20, 20) + "</p>";
   sContent += "<p>Red gauge, SSD has 0% Usage Remaining, has been marked as Failed and is S.M.A.R.T. tripped.<br/>";
   sContent += drawImg("images/2percentfailedgauge20.png", 100, 20) + " Related Overlay Icon: " + drawImg("images/critical20.png", 20, 20) + "</p>";
   sContent += "</div>";

   function LoadHelp()
   {
      document.getElementById("POPUP_TEXT_ID").innerHTML = "<div style='padding:0 15px;'>" + sContent + "</div>";
   }
</script>
</head>
<body style="background:white;margin:0px;padding:0px;width:100%;height:100%;overflow:hidden;" oncontextmenu="return false;" onload="LoadHelp();">
<!-- Header Area -->
<div id="ApplicationHeader">
   <table border='0' cellpadding='0' cellspacing='0' width='100%' class='applicationMastheadSmall'>
      <tr>
         <td class="mastheadIcon" style="padding-top:5px;padding-bottom:5px;"><img src="images/HP_S_W_RGB_150_MN_30.gif" width="30" alt="HP"/></td>
         <td class="mastheadTitle" width="100%"><h1>Array Diagnostics and SmartSSD Wear Gauge Utility Help</h1></td>
      </tr>
   </table>
</div>
<div id="POPUP_MARGIN">
<div id="POPUP_TEXT_ID">
</div>
</div>
<div style="text-align:center;"><a href="#" style="color:#003366;" onclick="window.close()"><span id="POPUP_CLOSE_TEXT">Close Window</span></a></div>
</body>
</html>