<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<link rel="stylesheet" type="text/css" href="css/adu.css"/>
<title>HP Array Diagnostics and SmartSSD Wear Gauge Utility</title>
<script type="text/javascript" src="js/CRequestor.js"></script>
<script type="text/javascript" src="js/CPopupWindow.js"></script>
<script type="text/javascript" language="javascript">
function HandleOnLoad()
{
   var oViewDiagReport = document.getElementById("btnViewDiagnosticReport");
   oViewDiagReport.focus();

   parent.document.title = "HP Array Diagnostics and SmartSSD Wear Gauge Utility : Home";
   try{
   parent.footerArea.HideAllButtons();
   }
   catch(e){}
   
}

function CheckThreadBusy()
{
   var rCheckRequestor = new CRequestor();
   rCheckRequestor.setRequestType("CheckThreadBusy.js");
   var x = rCheckRequestor.executeRequest();
   if (x.isThreadBusy)
   {
      alert("Please wait a few minutes to create the report. The previous thread is still busy.");
      return true;
   }
   else
   {
      return false;
   }
}

function ViewDiagnosticReport() 
{
   if(CheckThreadBusy() == true)
   {
      // Since thread is busy, stay with the current page.
      return false;
   }
   parent.footerArea.HideAllButtons();
   parent.globalData.viewReport = true;
   parent.globalData.reportIsSSD = false;
   document.location="ADUGenerateDiagnosticReport.htm";
}

function GenerateDiagnosticReport() 
{ 
   if(CheckThreadBusy() == true)
   {
      // Since thread is busy, stay with the current page.
      return false;
   }
   parent.footerArea.HideAllButtons();
   parent.globalData.viewReport = false;
   parent.globalData.reportIsSSD = false;
   document.location="ADUGenerateDiagnosticReport.htm";
}

function ViewSSDReport()
{
   if(CheckThreadBusy() == true)
   {
      // Since thread is busy, stay with the current page.
      return false;
   }
   parent.footerArea.HideAllButtons();
   parent.globalData.viewReport = true;
   parent.globalData.reportIsSSD = true;
   document.location = "ADUGenerateDiagnosticReport.htm";
   //document.location = "ADUViewSSDReport.frm";
}

function GenerateSSDReport()
{
   if(CheckThreadBusy() == true)
   {
      // Since thread is busy, stay with the current page.
      return false;
   }
   parent.footerArea.HideAllButtons();
   parent.globalData.viewReport = false;
   parent.globalData.reportIsSSD = true;
   document.location = "ADUGenerateDiagnosticReport.htm";
}

</script>
</head>
<body onload="HandleOnLoad();" oncontextmenu="return false;">
<div class="WelcomeMessage" style="width:100%;height:100%;position:absolute;overflow:auto;">
   <div class="homeSection" style="margin-bottom:30px;">
      <h1>Overview</h1>
      <div class="overview">
         Welcome to the Array Diagnostics and SmartSSD Wear Gauge Utility. This is a diagnostic tool designed to collect all possible information about storage devices in the system and to offer a detailed configuration report of all detected problems.
      </div>
   </div>
   <div class="homeSection" style="margin-bottom:30px;">
      <table class="reportChoice">
         <tr>
            <td style="padding-right:40px;">
               <img alt="welcome" src="images/welcome150.png" style="height:150px; width:150px;" />
            </td>
            <td style="width:100%;">
               <h1>Array Diagnostics</h1>
               <div class="reportOverview">
                  The array diagnostic report generated by this utility contains information on devices such as array controllers, storage enclosures, drive cages, as well as logical, physical and tape drives. The report will include SmartSSD Wear Gauge information for supported Solid State Drives.
               </div>
               <div class="line"></div>
               <table class='operationTable'>
                  <tr>
                     <td class='btnTD'>
                        <div class='buttonsAreLeftAligned'>
                           <div class='bWrapperUp'><div><div><button class='hpButton button_width' id='btnViewDiagnosticReport' onclick='ViewDiagnosticReport();'>View Diagnostic Report</button></div></div></div>
                        </div>
                        <div class='clearFloats'></div>
                     </td>
                     <td>
                        <div class='deftext'>Click View Diagnostic Report to generate and display the diagnostic report for all controllers attached to the system.</div>
                     </td>
                  </tr>
               </table>
               <div class="line"></div>
               <table class='operationTable'>
                  <tr>
                     <td class='btnTD'>
                        <div class='buttonsAreLeftAligned'>
                           <div class='bWrapperUp'><div><div><button class='hpButton button_width' onclick='GenerateDiagnosticReport();'>Generate Diagnostic Report</button></div></div></div>
                        </div>
                        <div class='clearFloats'></div>
                     </td>
                     <td>
                        <div class='deftext'>Click Generate Diagnostic Report to generate a diagnostic report without presenting a graphical display.</div>
                     </td>
                  </tr>
               </table>
            </td>
         </tr>
      </table>
   </div>
   <div class="homeSection">
      <table class="reportChoice">
         <tr>      
            <td style="padding-right:40px;">
               <img alt="wizard" src="images/SmartSSDsplash150.png" style="height: 150px; width: 150px;" />
            </td>
            <td style="width:100%;">
               <h1>SmartSSD Wear Gauge</h1>
               <div class="reportOverview">
                  The SmartSSD Wear Gauge report contains information on the current usage level and expected lifetime remaining of Solid State Drives attached to the system.
               </div>
               <div class="line"></div>
               <table class='operationTable'>
                  <tr>
                     <td class='btnTD'>
                        <div class='buttonsAreLeftAligned'>
                           <div class='bWrapperUp'><div><div><button class='hpButton button_width' onclick='ViewSSDReport();'>View SmartSSD Wear Gauge Report</button></div></div></div>
                        </div>
                        <div class='clearFloats'></div>
                     </td>
                     <td>
                        <div class='deftext'>Click View SmartSSD Wear Gauge Report to display SSD usage and estimated lifetime information.</div>
                     </td>
                  </tr>
               </table>
               <div class="line"></div>
               <table class='operationTable'>
                  <tr>
                     <td class='btnTD'>
                        <div class='buttonsAreLeftAligned'>
                           <div class='bWrapperUp'><div><div><button class='hpButton button_width' onclick='GenerateSSDReport();'>Generate SmartSSD Wear Gauge Report</button></div></div></div>
                        </div>
                        <div class='clearFloats'></div>
                     </td>
                     <td>
                        <div class='deftext'>Click Generate SmartSSD Wear Gauge Report to generate the report without presenting a graphical display.</div>
                     </td>
                  </tr>
               </table>
            </td>
         </tr>
      </table>
   </div>
</div>
</body>
</html>
